/*
 *
 * Copyright 2017 PingCAP, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package org.apache.spark.sql.expression

import org.apache.spark.sql.BaseInitialOnceSuite

class PlaceHolderTest0Suite extends BaseInitialOnceSuite {
  private val allCases = Seq[String](
    "select  id_dt  from full_data_type_table  where tp_char = null",
    "select  id_dt  from full_data_type_table  where tp_char = 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_char = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_char = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_char = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_char = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_char = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_char = 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_char = -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_char = 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_char = 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_char = 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_char = 2147483647",
    "select  id_dt  from full_data_type_table  where tp_char = -2147483648",
    "select  id_dt  from full_data_type_table  where tp_char = 32767",
    "select  id_dt  from full_data_type_table  where tp_char = -32768",
    "select  id_dt  from full_data_type_table  where tp_char = 127",
    "select  id_dt  from full_data_type_table  where tp_char = -128",
    "select  id_dt  from full_data_type_table  where tp_char = 0",
    "select  id_dt  from full_data_type_table  where tp_char = 2017",
    "select  id_dt  from full_data_type_table  where tp_char = 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_tinyint = null",
    "select  id_dt  from full_data_type_table  where tp_tinyint = 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_tinyint = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_tinyint = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_tinyint = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_tinyint = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_tinyint = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_tinyint = 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_tinyint = -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_tinyint = 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_tinyint = 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_tinyint = 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_tinyint = 2147483647",
    "select  id_dt  from full_data_type_table  where tp_tinyint = -2147483648",
    "select  id_dt  from full_data_type_table  where tp_tinyint = 32767",
    "select  id_dt  from full_data_type_table  where tp_tinyint = -32768",
    "select  id_dt  from full_data_type_table  where tp_tinyint = 127",
    "select  id_dt  from full_data_type_table  where tp_tinyint = -128",
    "select  id_dt  from full_data_type_table  where tp_tinyint = 0",
    "select  id_dt  from full_data_type_table  where tp_tinyint = 2017",
    "select  id_dt  from full_data_type_table  where tp_tinyint = 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_float = null",
    "select  id_dt  from full_data_type_table  where tp_float = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_float = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_float = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_float = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_float = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_float = 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_float = -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_float = 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_float = 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_float = 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_float = 2147483647",
    "select  id_dt  from full_data_type_table  where tp_float = -2147483648",
    "select  id_dt  from full_data_type_table  where tp_float = 32767",
    "select  id_dt  from full_data_type_table  where tp_float = -32768",
    "select  id_dt  from full_data_type_table  where tp_float = 127",
    "select  id_dt  from full_data_type_table  where tp_float = -128",
    "select  id_dt  from full_data_type_table  where tp_float = 0",
    "select  id_dt  from full_data_type_table  where tp_float = 2017",
    "select  id_dt  from full_data_type_table  where tp_float = 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_blob = null",
    "select  id_dt  from full_data_type_table  where id_dt = null",
    "select  id_dt  from full_data_type_table  where id_dt = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where id_dt = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where id_dt = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where id_dt = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where id_dt = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where id_dt = 9223372036854775807",
    "select  id_dt  from full_data_type_table  where id_dt = -9223372036854775808",
    "select  id_dt  from full_data_type_table  where id_dt = 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where id_dt = 3.14159265358979",
    "select  id_dt  from full_data_type_table  where id_dt = 2.34E10",
    "select  id_dt  from full_data_type_table  where id_dt = 2147483647",
    "select  id_dt  from full_data_type_table  where id_dt = -2147483648",
    "select  id_dt  from full_data_type_table  where id_dt = 32767",
    "select  id_dt  from full_data_type_table  where id_dt = -32768",
    "select  id_dt  from full_data_type_table  where id_dt = 127",
    "select  id_dt  from full_data_type_table  where id_dt = -128",
    "select  id_dt  from full_data_type_table  where id_dt = 0",
    "select  id_dt  from full_data_type_table  where id_dt = 2017",
    "select  id_dt  from full_data_type_table  where id_dt = 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_bigint = null",
    "select  id_dt  from full_data_type_table  where tp_bigint = 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_bigint = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_bigint = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_bigint = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_bigint = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_bigint = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_bigint = 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_bigint = -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_bigint = 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_bigint = 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_bigint = 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_bigint = 2147483647",
    "select  id_dt  from full_data_type_table  where tp_bigint = -2147483648",
    "select  id_dt  from full_data_type_table  where tp_bigint = 32767",
    "select  id_dt  from full_data_type_table  where tp_bigint = -32768",
    "select  id_dt  from full_data_type_table  where tp_bigint = 127",
    "select  id_dt  from full_data_type_table  where tp_bigint = -128",
    "select  id_dt  from full_data_type_table  where tp_bigint = 0",
    "select  id_dt  from full_data_type_table  where tp_bigint = 2017",
    "select  id_dt  from full_data_type_table  where tp_bigint = 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_double = null",
    "select  id_dt  from full_data_type_table  where tp_double = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_double = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_double = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_double = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_double = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_double = 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_double = -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_double = 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_double = 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_double = 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_double = 2147483647",
    "select  id_dt  from full_data_type_table  where tp_double = -2147483648",
    "select  id_dt  from full_data_type_table  where tp_double = 32767",
    "select  id_dt  from full_data_type_table  where tp_double = -32768",
    "select  id_dt  from full_data_type_table  where tp_double = 127",
    "select  id_dt  from full_data_type_table  where tp_double = -128",
    "select  id_dt  from full_data_type_table  where tp_double = 0",
    "select  id_dt  from full_data_type_table  where tp_double = 2017",
    "select  id_dt  from full_data_type_table  where tp_double = 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = null",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = 2147483647",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = -2147483648",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = 32767",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = -32768",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = 127",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = -128",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = 0",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = 2017",
    "select  id_dt  from full_data_type_table  where tp_nvarchar = 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_datetime = null",
    "select  id_dt  from full_data_type_table  where tp_datetime = 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_datetime = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_datetime = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_datetime = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_datetime = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_datetime = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_smallint = null",
    "select  id_dt  from full_data_type_table  where tp_smallint = 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_smallint = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_smallint = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_smallint = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_smallint = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_smallint = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_smallint = 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_smallint = -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_smallint = 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_smallint = 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_smallint = 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_smallint = 2147483647",
    "select  id_dt  from full_data_type_table  where tp_smallint = -2147483648",
    "select  id_dt  from full_data_type_table  where tp_smallint = 32767",
    "select  id_dt  from full_data_type_table  where tp_smallint = -32768",
    "select  id_dt  from full_data_type_table  where tp_smallint = 127",
    "select  id_dt  from full_data_type_table  where tp_smallint = -128",
    "select  id_dt  from full_data_type_table  where tp_smallint = 0",
    "select  id_dt  from full_data_type_table  where tp_smallint = 2017",
    "select  id_dt  from full_data_type_table  where tp_smallint = 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_date = null",
    "select  id_dt  from full_data_type_table  where tp_date = 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_date = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_date = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_date = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_date = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_date = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_varchar = null",
    "select  id_dt  from full_data_type_table  where tp_varchar = 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_varchar = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_varchar = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_varchar = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_varchar = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_varchar = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_varchar = 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_varchar = -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_varchar = 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_varchar = 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_varchar = 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_varchar = 2147483647",
    "select  id_dt  from full_data_type_table  where tp_varchar = -2147483648",
    "select  id_dt  from full_data_type_table  where tp_varchar = 32767",
    "select  id_dt  from full_data_type_table  where tp_varchar = -32768",
    "select  id_dt  from full_data_type_table  where tp_varchar = 127",
    "select  id_dt  from full_data_type_table  where tp_varchar = -128",
    "select  id_dt  from full_data_type_table  where tp_varchar = 0",
    "select  id_dt  from full_data_type_table  where tp_varchar = 2017",
    "select  id_dt  from full_data_type_table  where tp_varchar = 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_mediumint = null",
    "select  id_dt  from full_data_type_table  where tp_mediumint = 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_mediumint = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_mediumint = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_mediumint = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_mediumint = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_mediumint = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_mediumint = 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_mediumint = -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_mediumint = 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_mediumint = 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_mediumint = 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_mediumint = 2147483647",
    "select  id_dt  from full_data_type_table  where tp_mediumint = -2147483648",
    "select  id_dt  from full_data_type_table  where tp_mediumint = 32767",
    "select  id_dt  from full_data_type_table  where tp_mediumint = -32768",
    "select  id_dt  from full_data_type_table  where tp_mediumint = 127",
    "select  id_dt  from full_data_type_table  where tp_mediumint = -128",
    "select  id_dt  from full_data_type_table  where tp_mediumint = 0",
    "select  id_dt  from full_data_type_table  where tp_mediumint = 2017",
    "select  id_dt  from full_data_type_table  where tp_mediumint = 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_longtext = null",
    "select  id_dt  from full_data_type_table  where tp_int = null",
    "select  id_dt  from full_data_type_table  where tp_int = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_int = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_int = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_int = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_int = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_int = 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_int = -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_int = 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_int = 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_int = 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_int = 2147483647",
    "select  id_dt  from full_data_type_table  where tp_int = -2147483648",
    "select  id_dt  from full_data_type_table  where tp_int = 32767",
    "select  id_dt  from full_data_type_table  where tp_int = -32768",
    "select  id_dt  from full_data_type_table  where tp_int = 127",
    "select  id_dt  from full_data_type_table  where tp_int = -128",
    "select  id_dt  from full_data_type_table  where tp_int = 0",
    "select  id_dt  from full_data_type_table  where tp_int = 2017",
    "select  id_dt  from full_data_type_table  where tp_int = 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_tinytext = null",
    "select  id_dt  from full_data_type_table  where tp_timestamp = null",
    "select  id_dt  from full_data_type_table  where tp_timestamp = 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_timestamp = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_timestamp = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_timestamp = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_timestamp = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_timestamp = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_mediumtext = null",
    "select  id_dt  from full_data_type_table  where tp_real = null",
    "select  id_dt  from full_data_type_table  where tp_real = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_real = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_real = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_real = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_real = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_real = 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_real = -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_real = 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_real = 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_real = 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_real = 2147483647",
    "select  id_dt  from full_data_type_table  where tp_real = -2147483648",
    "select  id_dt  from full_data_type_table  where tp_real = 32767",
    "select  id_dt  from full_data_type_table  where tp_real = -32768",
    "select  id_dt  from full_data_type_table  where tp_real = 127",
    "select  id_dt  from full_data_type_table  where tp_real = -128",
    "select  id_dt  from full_data_type_table  where tp_real = 0",
    "select  id_dt  from full_data_type_table  where tp_real = 2017",
    "select  id_dt  from full_data_type_table  where tp_real = 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_text = null",
    "select  id_dt  from full_data_type_table  where tp_decimal = null",
    "select  id_dt  from full_data_type_table  where tp_decimal = '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_decimal = '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_decimal = '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_decimal = '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_decimal = 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_decimal = 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_decimal = -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_decimal = 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_decimal = 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_decimal = 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_decimal = 2147483647",
    "select  id_dt  from full_data_type_table  where tp_decimal = -2147483648",
    "select  id_dt  from full_data_type_table  where tp_decimal = 32767",
    "select  id_dt  from full_data_type_table  where tp_decimal = -32768",
    "select  id_dt  from full_data_type_table  where tp_decimal = 127",
    "select  id_dt  from full_data_type_table  where tp_decimal = -128",
    "select  id_dt  from full_data_type_table  where tp_decimal = 0",
    "select  id_dt  from full_data_type_table  where tp_decimal = 2017",
    "select  id_dt  from full_data_type_table  where tp_decimal = 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_binary = null",
    "select  id_dt  from full_data_type_table  where tp_char < null",
    "select  id_dt  from full_data_type_table  where tp_char < 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_char < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_char < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_char < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_char < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_char < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_char < 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_char < -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_char < 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_char < 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_char < 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_char < 2147483647",
    "select  id_dt  from full_data_type_table  where tp_char < -2147483648",
    "select  id_dt  from full_data_type_table  where tp_char < 32767",
    "select  id_dt  from full_data_type_table  where tp_char < -32768",
    "select  id_dt  from full_data_type_table  where tp_char < 127",
    "select  id_dt  from full_data_type_table  where tp_char < -128",
    "select  id_dt  from full_data_type_table  where tp_char < 0",
    "select  id_dt  from full_data_type_table  where tp_char < 2017",
    "select  id_dt  from full_data_type_table  where tp_char < 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_tinyint < null",
    "select  id_dt  from full_data_type_table  where tp_tinyint < 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_tinyint < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_tinyint < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_tinyint < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_tinyint < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_tinyint < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_tinyint < 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_tinyint < -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_tinyint < 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_tinyint < 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_tinyint < 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_tinyint < 2147483647",
    "select  id_dt  from full_data_type_table  where tp_tinyint < -2147483648",
    "select  id_dt  from full_data_type_table  where tp_tinyint < 32767",
    "select  id_dt  from full_data_type_table  where tp_tinyint < -32768",
    "select  id_dt  from full_data_type_table  where tp_tinyint < 127",
    "select  id_dt  from full_data_type_table  where tp_tinyint < -128",
    "select  id_dt  from full_data_type_table  where tp_tinyint < 0",
    "select  id_dt  from full_data_type_table  where tp_tinyint < 2017",
    "select  id_dt  from full_data_type_table  where tp_tinyint < 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_float < null",
    "select  id_dt  from full_data_type_table  where tp_float < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_float < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_float < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_float < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_float < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_float < 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_float < -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_float < 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_float < 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_float < 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_float < 2147483647",
    "select  id_dt  from full_data_type_table  where tp_float < -2147483648",
    "select  id_dt  from full_data_type_table  where tp_float < 32767",
    "select  id_dt  from full_data_type_table  where tp_float < -32768",
    "select  id_dt  from full_data_type_table  where tp_float < 127",
    "select  id_dt  from full_data_type_table  where tp_float < -128",
    "select  id_dt  from full_data_type_table  where tp_float < 0",
    "select  id_dt  from full_data_type_table  where tp_float < 2017",
    "select  id_dt  from full_data_type_table  where tp_float < 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_blob < null",
    "select  id_dt  from full_data_type_table  where id_dt < null",
    "select  id_dt  from full_data_type_table  where id_dt < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where id_dt < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where id_dt < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where id_dt < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where id_dt < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where id_dt < 9223372036854775807",
    "select  id_dt  from full_data_type_table  where id_dt < -9223372036854775808",
    "select  id_dt  from full_data_type_table  where id_dt < 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where id_dt < 3.14159265358979",
    "select  id_dt  from full_data_type_table  where id_dt < 2.34E10",
    "select  id_dt  from full_data_type_table  where id_dt < 2147483647",
    "select  id_dt  from full_data_type_table  where id_dt < -2147483648",
    "select  id_dt  from full_data_type_table  where id_dt < 32767",
    "select  id_dt  from full_data_type_table  where id_dt < -32768",
    "select  id_dt  from full_data_type_table  where id_dt < 127",
    "select  id_dt  from full_data_type_table  where id_dt < -128",
    "select  id_dt  from full_data_type_table  where id_dt < 0",
    "select  id_dt  from full_data_type_table  where id_dt < 2017",
    "select  id_dt  from full_data_type_table  where id_dt < 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_bigint < null",
    "select  id_dt  from full_data_type_table  where tp_bigint < 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_bigint < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_bigint < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_bigint < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_bigint < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_bigint < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_bigint < 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_bigint < -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_bigint < 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_bigint < 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_bigint < 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_bigint < 2147483647",
    "select  id_dt  from full_data_type_table  where tp_bigint < -2147483648",
    "select  id_dt  from full_data_type_table  where tp_bigint < 32767",
    "select  id_dt  from full_data_type_table  where tp_bigint < -32768",
    "select  id_dt  from full_data_type_table  where tp_bigint < 127",
    "select  id_dt  from full_data_type_table  where tp_bigint < -128",
    "select  id_dt  from full_data_type_table  where tp_bigint < 0",
    "select  id_dt  from full_data_type_table  where tp_bigint < 2017",
    "select  id_dt  from full_data_type_table  where tp_bigint < 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_double < null",
    "select  id_dt  from full_data_type_table  where tp_double < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_double < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_double < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_double < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_double < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_double < 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_double < -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_double < 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_double < 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_double < 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_double < 2147483647",
    "select  id_dt  from full_data_type_table  where tp_double < -2147483648",
    "select  id_dt  from full_data_type_table  where tp_double < 32767",
    "select  id_dt  from full_data_type_table  where tp_double < -32768",
    "select  id_dt  from full_data_type_table  where tp_double < 127",
    "select  id_dt  from full_data_type_table  where tp_double < -128",
    "select  id_dt  from full_data_type_table  where tp_double < 0",
    "select  id_dt  from full_data_type_table  where tp_double < 2017",
    "select  id_dt  from full_data_type_table  where tp_double < 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < null",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < 2147483647",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < -2147483648",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < 32767",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < -32768",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < 127",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < -128",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < 0",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < 2017",
    "select  id_dt  from full_data_type_table  where tp_nvarchar < 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_datetime < null",
    "select  id_dt  from full_data_type_table  where tp_datetime < 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_datetime < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_datetime < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_datetime < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_datetime < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_datetime < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_smallint < null",
    "select  id_dt  from full_data_type_table  where tp_smallint < 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_smallint < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_smallint < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_smallint < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_smallint < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_smallint < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_smallint < 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_smallint < -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_smallint < 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_smallint < 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_smallint < 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_smallint < 2147483647",
    "select  id_dt  from full_data_type_table  where tp_smallint < -2147483648",
    "select  id_dt  from full_data_type_table  where tp_smallint < 32767",
    "select  id_dt  from full_data_type_table  where tp_smallint < -32768",
    "select  id_dt  from full_data_type_table  where tp_smallint < 127",
    "select  id_dt  from full_data_type_table  where tp_smallint < -128",
    "select  id_dt  from full_data_type_table  where tp_smallint < 0",
    "select  id_dt  from full_data_type_table  where tp_smallint < 2017",
    "select  id_dt  from full_data_type_table  where tp_smallint < 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_date < null",
    "select  id_dt  from full_data_type_table  where tp_date < 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_date < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_date < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_date < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_date < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_date < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_varchar < null",
    "select  id_dt  from full_data_type_table  where tp_varchar < 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_varchar < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_varchar < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_varchar < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_varchar < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_varchar < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_varchar < 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_varchar < -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_varchar < 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_varchar < 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_varchar < 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_varchar < 2147483647",
    "select  id_dt  from full_data_type_table  where tp_varchar < -2147483648",
    "select  id_dt  from full_data_type_table  where tp_varchar < 32767",
    "select  id_dt  from full_data_type_table  where tp_varchar < -32768",
    "select  id_dt  from full_data_type_table  where tp_varchar < 127",
    "select  id_dt  from full_data_type_table  where tp_varchar < -128",
    "select  id_dt  from full_data_type_table  where tp_varchar < 0",
    "select  id_dt  from full_data_type_table  where tp_varchar < 2017",
    "select  id_dt  from full_data_type_table  where tp_varchar < 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_mediumint < null",
    "select  id_dt  from full_data_type_table  where tp_mediumint < 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_mediumint < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_mediumint < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_mediumint < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_mediumint < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_mediumint < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_mediumint < 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_mediumint < -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_mediumint < 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_mediumint < 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_mediumint < 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_mediumint < 2147483647",
    "select  id_dt  from full_data_type_table  where tp_mediumint < -2147483648",
    "select  id_dt  from full_data_type_table  where tp_mediumint < 32767",
    "select  id_dt  from full_data_type_table  where tp_mediumint < -32768",
    "select  id_dt  from full_data_type_table  where tp_mediumint < 127",
    "select  id_dt  from full_data_type_table  where tp_mediumint < -128",
    "select  id_dt  from full_data_type_table  where tp_mediumint < 0",
    "select  id_dt  from full_data_type_table  where tp_mediumint < 2017",
    "select  id_dt  from full_data_type_table  where tp_mediumint < 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_longtext < null",
    "select  id_dt  from full_data_type_table  where tp_int < null",
    "select  id_dt  from full_data_type_table  where tp_int < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_int < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_int < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_int < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_int < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_int < 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_int < -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_int < 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_int < 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_int < 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_int < 2147483647",
    "select  id_dt  from full_data_type_table  where tp_int < -2147483648",
    "select  id_dt  from full_data_type_table  where tp_int < 32767",
    "select  id_dt  from full_data_type_table  where tp_int < -32768",
    "select  id_dt  from full_data_type_table  where tp_int < 127",
    "select  id_dt  from full_data_type_table  where tp_int < -128",
    "select  id_dt  from full_data_type_table  where tp_int < 0",
    "select  id_dt  from full_data_type_table  where tp_int < 2017",
    "select  id_dt  from full_data_type_table  where tp_int < 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_tinytext < null",
    "select  id_dt  from full_data_type_table  where tp_timestamp < null",
    "select  id_dt  from full_data_type_table  where tp_timestamp < 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_timestamp < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_timestamp < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_timestamp < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_timestamp < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_timestamp < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_mediumtext < null",
    "select  id_dt  from full_data_type_table  where tp_real < null",
    "select  id_dt  from full_data_type_table  where tp_real < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_real < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_real < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_real < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_real < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_real < 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_real < -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_real < 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_real < 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_real < 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_real < 2147483647",
    "select  id_dt  from full_data_type_table  where tp_real < -2147483648",
    "select  id_dt  from full_data_type_table  where tp_real < 32767",
    "select  id_dt  from full_data_type_table  where tp_real < -32768",
    "select  id_dt  from full_data_type_table  where tp_real < 127",
    "select  id_dt  from full_data_type_table  where tp_real < -128",
    "select  id_dt  from full_data_type_table  where tp_real < 0",
    "select  id_dt  from full_data_type_table  where tp_real < 2017",
    "select  id_dt  from full_data_type_table  where tp_real < 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_text < null",
    "select  id_dt  from full_data_type_table  where tp_decimal < null",
    "select  id_dt  from full_data_type_table  where tp_decimal < '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_decimal < '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_decimal < '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_decimal < '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_decimal < 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_decimal < 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_decimal < -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_decimal < 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_decimal < 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_decimal < 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_decimal < 2147483647",
    "select  id_dt  from full_data_type_table  where tp_decimal < -2147483648",
    "select  id_dt  from full_data_type_table  where tp_decimal < 32767",
    "select  id_dt  from full_data_type_table  where tp_decimal < -32768",
    "select  id_dt  from full_data_type_table  where tp_decimal < 127",
    "select  id_dt  from full_data_type_table  where tp_decimal < -128",
    "select  id_dt  from full_data_type_table  where tp_decimal < 0",
    "select  id_dt  from full_data_type_table  where tp_decimal < 2017",
    "select  id_dt  from full_data_type_table  where tp_decimal < 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_binary < null",
    "select  id_dt  from full_data_type_table  where tp_char > null",
    "select  id_dt  from full_data_type_table  where tp_char > 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_char > '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_char > '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_char > '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_char > '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_char > 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_char > 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_char > -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_char > 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_char > 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_char > 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_char > 2147483647",
    "select  id_dt  from full_data_type_table  where tp_char > -2147483648",
    "select  id_dt  from full_data_type_table  where tp_char > 32767",
    "select  id_dt  from full_data_type_table  where tp_char > -32768",
    "select  id_dt  from full_data_type_table  where tp_char > 127",
    "select  id_dt  from full_data_type_table  where tp_char > -128",
    "select  id_dt  from full_data_type_table  where tp_char > 0",
    "select  id_dt  from full_data_type_table  where tp_char > 2017",
    "select  id_dt  from full_data_type_table  where tp_char > 2147868.65536",
    "select  id_dt  from full_data_type_table  where tp_tinyint > null",
    "select  id_dt  from full_data_type_table  where tp_tinyint > 'PingCAP'",
    "select  id_dt  from full_data_type_table  where tp_tinyint > '2017-11-02'",
    "select  id_dt  from full_data_type_table  where tp_tinyint > '2017-10-30'",
    "select  id_dt  from full_data_type_table  where tp_tinyint > '2017-09-07 11:11:11'",
    "select  id_dt  from full_data_type_table  where tp_tinyint > '2017-11-02 08:47:43'",
    "select  id_dt  from full_data_type_table  where tp_tinyint > 'fYfSp'",
    "select  id_dt  from full_data_type_table  where tp_tinyint > 9223372036854775807",
    "select  id_dt  from full_data_type_table  where tp_tinyint > -9223372036854775808",
    "select  id_dt  from full_data_type_table  where tp_tinyint > 1.7976931348623157E308",
    "select  id_dt  from full_data_type_table  where tp_tinyint > 3.14159265358979",
    "select  id_dt  from full_data_type_table  where tp_tinyint > 2.34E10",
    "select  id_dt  from full_data_type_table  where tp_tinyint > 2147483647",
    "select  id_dt  from full_data_type_table  where tp_tinyint > -2147483648",
    "select  id_dt  from full_data_type_table  where tp_tinyint > 32767",
    "select  id_dt  from full_data_type_table  where tp_tinyint > -32768",
    "select  id_dt  from full_data_type_table  where tp_tinyint > 127",
    "select  id_dt  from full_data_type_table  where tp_tinyint > -128",
    "select  id_dt  from full_data_type_table  where tp_tinyint > 0",
    "select  id_dt  from full_data_type_table  where tp_tinyint > 2017",
    "select  id_dt  from full_data_type_table  where tp_tinyint > 2147868.65536"
  )

  allCases foreach { query =>
    {
      test(query) {
        runTest(query)
      }
    }
  }

}
